# Building VLMC

## Dependencies
* Latest version of VLC installed (from the git repository)
* Qt framework >= 5.0.0

##Get the sources

  git clone https://code.videolan.org/videolan/vlmc.git

## Fetch libvlcpp

  git submodule init
  git submodule update

##Building and packaging VLMC on Linux

A typical way to build VLMC is:
  mkdir build && cd build

To set install path: (optional)
  cmake -DCMAKE_INSTALL_PREFIX=/usr ..

Else:
  cmake ..

Build:
  make

To package:
  make package

But this by default will search for available pkg builders and build accordingly.

To force building deb:
  cpack -G DEB
To force building rpm:
  cpack -G RPM
   
## Installing on Linux

### To install
  dpkg -i <deb package>
  rpm -i <rpm package>

### To remove:
  dpkg -r vlmc
  rpm -e vlmc


## Running VLMC

	./vlmc

## Issues

If you run into problems, you can ask for help on <vlmc-devel@videolan.org> and
IRC channel #vlmc on Freenode.
